Class | FormField
In: | lib/ramaze/contrib/sequel/form_field.rb
Parent: | Object

job = Job[4] puts CGI::pretty(FormField.new(job, :contract, show_errors = true, Job::CONTRACTS).to_s)

### Methods

build_errors build_tag checkbox db_type each_error file input new password select textarea to_s

### Classes and Modules

Module FormField::Model

### Attributes

db_type | [RW] |
field | [RW] |
hint | [RW] |
id | [RW] |
show_errors | [RW] |
this | [RW] |
value | [RW] |

### Public Class methods

new(this, field, show_errors = true, hint = nil)

show_errors may be a number indicating how many errors it should display at maximum, 0 displays none, -1 all

### Public Instance methods

build_errors(gestalt)
build_tag(gestalt)
checkbox(gestalt)
db_type()
each_error(&block)

TODO: suggest ‘validated?’ feature to sequel

file(gestalt)
input(gestalt)
password(gestalt)
select(gestalt)
textarea(gestalt)
to_s()

[Validate]